Subject: Indexes for appnCosNodeRowTable and appnCosNodeTgTable

From: "R.E. (Robert) Moore (254-4436)" <[email-masked]>
Date: Thu, 26 Oct 95 16:33:32 EDT

I've said (a couple of times!) that I was going to look into the COS
tables in the APPN MIB, to see what was going on with the indexes.
After talking with several APPN architects, it appears that everything
is fine except the somewhat mysterious statements in the DESCRIPTIONs
for ...NodeRowIndex and ...TgRowIndex, that "This same value is used
to index the node and TG COS tables."

In a very peculiar sense, of course, this statement is true:  when the
INTEGER 1, say, is indexing the two tables, it is the same integer.
(In other words, 1 = 1.)  But any implication that row 1 in the NodeRow
table somehow corresponds to row 1 in the TgRow table is wrong:
corresponding rows in the two tables have nothing to do with each other.
Route selection compares node characteristics to rows in the node
table until it gets a match, and TG characteristics against rows in
the TG table until it gets a match.  The two comparisons have nothing
to do with each other.

In line with an earlier comment from BobC that we not try to reiterate
the APPN architecture in the comments and DESCRIPTIONS of the MIB, I
think that all we need to do here is not go out of our way to be
misleading / mysterious.  Thus I propose that the DESCRIPTIONS be
reworded as follows:

For appnCosNodeRowIndex:

   DESCRIPTION
       "Subindex under appnCosNodeRowName, corresponding to a row
       in the node table for the class of service identified in
       appnCosNodeRowName."

For appnCosTgRowIndex:

   DESCRIPTION
       "Subindex under appnCosTgRowName, corresponding to a row
       in the TG table for the class of service identified in
       appnCosTgRowName."

Bob Moore